#include "ExportDoorHook.h"
extern ListCell* listModel_getListBoxEditCell
(
	const MSDialogP   	db,			//	=>	Dialog box that contains our ListBox
	ULong 				nIDListBox,	//	=>	Resource ID of the ListBox
	int* rowIndex,
	int* colIndex
);
extern BindingValue g_binding;

//"导出"按钮钩函数
void ExportDoorHook
(
	DialogItemMessage* dimP
)
{
	dimP->msgUnderstood = TRUE;
	switch (dimP->messageType)
	{
	case DITEM_MESSAGE_BUTTON:
	{
		
		
	}
	break;
	default:
		dimP->msgUnderstood = FALSE;
		break;
	}
	return;
}

//创建ListBox及数据

//ListBox钩函数
void ExportDoorListHook
(
	DialogItemMessage* dimP
)
{
	dimP->msgUnderstood = TRUE;
	switch (dimP->messageType)
	{
	case DITEM_MESSAGE_CREATE:
	{
	}
	break;
	case DITEM_MESSAGE_DESTROY:
	{
		

	}
	break;
	case DITEM_MESSAGE_BUTTON:
	{
		
	}
	break;
	default:
		dimP->msgUnderstood = FALSE;
		break;
	}
	return;
}
//编辑框钩函数
void EditListBox_Door_Hook(DialogItemMessage* dimP)
{
	dimP->msgUnderstood = TRUE;
	switch (dimP->messageType)
	{
	case DITEM_MESSAGE_CREATE:
	{
	}
	break;
	case DITEM_MESSAGE_FOCUSOUT:
	{
		
	}
	break;
	default:
		dimP->msgUnderstood = FALSE;
		break;
	}
}